<?php
$tdataasociatie = array();
$tdataasociatie[".searchableFields"] = array();
$tdataasociatie[".ShortName"] = "asociatie";
$tdataasociatie[".OwnerID"] = "";
$tdataasociatie[".OriginalTable"] = "asociatie";


$tdataasociatie[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"]}" );
$tdataasociatie[".originalPagesByType"] = $tdataasociatie[".pagesByType"];
$tdataasociatie[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"]}" ) );
$tdataasociatie[".originalPages"] = $tdataasociatie[".pages"];
$tdataasociatie[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"search\":\"search\"}" );
$tdataasociatie[".originalDefaultPages"] = $tdataasociatie[".defaultPages"];

//	field labels
$fieldLabelsasociatie = array();
$fieldToolTipsasociatie = array();
$pageTitlesasociatie = array();
$placeHoldersasociatie = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelsasociatie["Romanian"] = array();
	$fieldToolTipsasociatie["Romanian"] = array();
	$placeHoldersasociatie["Romanian"] = array();
	$pageTitlesasociatie["Romanian"] = array();
	$fieldLabelsasociatie["Romanian"]["id"] = "Id";
	$fieldToolTipsasociatie["Romanian"]["id"] = "";
	$placeHoldersasociatie["Romanian"]["id"] = "";
	$fieldLabelsasociatie["Romanian"]["cod"] = "Cod";
	$fieldToolTipsasociatie["Romanian"]["cod"] = "";
	$placeHoldersasociatie["Romanian"]["cod"] = "";
	$fieldLabelsasociatie["Romanian"]["denumire"] = "Denumire";
	$fieldToolTipsasociatie["Romanian"]["denumire"] = "";
	$placeHoldersasociatie["Romanian"]["denumire"] = "";
	$fieldLabelsasociatie["Romanian"]["adresa"] = "Adresa";
	$fieldToolTipsasociatie["Romanian"]["adresa"] = "";
	$placeHoldersasociatie["Romanian"]["adresa"] = "";
	$fieldLabelsasociatie["Romanian"]["cif"] = "Cif";
	$fieldToolTipsasociatie["Romanian"]["cif"] = "";
	$placeHoldersasociatie["Romanian"]["cif"] = "";
	if (count($fieldToolTipsasociatie["Romanian"]))
		$tdataasociatie[".isUseToolTips"] = true;
}


	$tdataasociatie[".NCSearch"] = true;



$tdataasociatie[".shortTableName"] = "asociatie";
$tdataasociatie[".nSecOptions"] = 0;

$tdataasociatie[".mainTableOwnerID"] = "";
$tdataasociatie[".entityType"] = 0;
$tdataasociatie[".connId"] = "web111_bl_at_vmw_ro";


$tdataasociatie[".strOriginalTableName"] = "asociatie";

		 



$tdataasociatie[".showAddInPopup"] = false;

$tdataasociatie[".showEditInPopup"] = false;

$tdataasociatie[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataasociatie[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataasociatie[".listAjax"] = true;
//	temporary
$tdataasociatie[".listAjax"] = false;

	$tdataasociatie[".audit"] = false;

	$tdataasociatie[".locking"] = false;


$pages = $tdataasociatie[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataasociatie[".edit"] = true;
	$tdataasociatie[".afterEditAction"] = 1;
	$tdataasociatie[".closePopupAfterEdit"] = 1;
	$tdataasociatie[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataasociatie[".add"] = true;
$tdataasociatie[".afterAddAction"] = 1;
$tdataasociatie[".closePopupAfterAdd"] = 1;
$tdataasociatie[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataasociatie[".list"] = true;
}



$tdataasociatie[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataasociatie[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataasociatie[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataasociatie[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataasociatie[".printFriendly"] = true;
}



$tdataasociatie[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataasociatie[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataasociatie[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataasociatie[".isUseAjaxSuggest"] = true;

$tdataasociatie[".rowHighlite"] = true;





$tdataasociatie[".ajaxCodeSnippetAdded"] = false;

$tdataasociatie[".buttonsAdded"] = false;

$tdataasociatie[".addPageEvents"] = false;

// use timepicker for search panel
$tdataasociatie[".isUseTimeForSearch"] = false;


$tdataasociatie[".badgeColor"] = "6B8E23";


$tdataasociatie[".allSearchFields"] = array();
$tdataasociatie[".filterFields"] = array();
$tdataasociatie[".requiredSearchFields"] = array();

$tdataasociatie[".googleLikeFields"] = array();
$tdataasociatie[".googleLikeFields"][] = "id";
$tdataasociatie[".googleLikeFields"][] = "cod";
$tdataasociatie[".googleLikeFields"][] = "denumire";
$tdataasociatie[".googleLikeFields"][] = "adresa";
$tdataasociatie[".googleLikeFields"][] = "cif";



$tdataasociatie[".tableType"] = "list";

$tdataasociatie[".printerPageOrientation"] = 0;
$tdataasociatie[".nPrinterPageScale"] = 100;

$tdataasociatie[".nPrinterSplitRecords"] = 40;

$tdataasociatie[".geocodingEnabled"] = false;




$tdataasociatie[".isDisplayLoading"] = true;

$tdataasociatie[".isResizeColumns"] = true;





$tdataasociatie[".pageSize"] = 20;

$tdataasociatie[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataasociatie[".strOrderBy"] = $tstrOrderBy;

$tdataasociatie[".orderindexes"] = array();


$tdataasociatie[".sqlHead"] = "SELECT id,  	cod,  	denumire,  	adresa,  	cif";
$tdataasociatie[".sqlFrom"] = "FROM asociatie";
$tdataasociatie[".sqlWhereExpr"] = "";
$tdataasociatie[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataasociatie[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataasociatie[".arrGroupsPerPage"] = $arrGPP;

$tdataasociatie[".highlightSearchResults"] = true;

$tableKeysasociatie = array();
$tableKeysasociatie[] = "id";
$tdataasociatie[".Keys"] = $tableKeysasociatie;


$tdataasociatie[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "asociatie";
	$fdata["Label"] = GetFieldLabel("asociatie","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
										

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatie["id"] = $fdata;
		$tdataasociatie[".searchableFields"][] = "id";
//	cod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cod";
	$fdata["GoodName"] = "cod";
	$fdata["ownerTable"] = "asociatie";
	$fdata["Label"] = GetFieldLabel("asociatie","cod");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "cod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Codul %value% mai există", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatie["cod"] = $fdata;
		$tdataasociatie[".searchableFields"][] = "cod";
//	denumire
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "denumire";
	$fdata["GoodName"] = "denumire";
	$fdata["ownerTable"] = "asociatie";
	$fdata["Label"] = GetFieldLabel("asociatie","denumire");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "denumire";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "denumire";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatie["denumire"] = $fdata;
		$tdataasociatie[".searchableFields"][] = "denumire";
//	adresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "adresa";
	$fdata["GoodName"] = "adresa";
	$fdata["ownerTable"] = "asociatie";
	$fdata["Label"] = GetFieldLabel("asociatie","adresa");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "adresa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "adresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatie["adresa"] = $fdata;
		$tdataasociatie[".searchableFields"][] = "adresa";
//	cif
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cif";
	$fdata["GoodName"] = "cif";
	$fdata["ownerTable"] = "asociatie";
	$fdata["Label"] = GetFieldLabel("asociatie","cif");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "cif";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cif";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Codul %value% mai există", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatie["cif"] = $fdata;
		$tdataasociatie[".searchableFields"][] = "cif";


$tables_data["asociatie"]=&$tdataasociatie;
$field_labels["asociatie"] = &$fieldLabelsasociatie;
$fieldToolTips["asociatie"] = &$fieldToolTipsasociatie;
$placeHolders["asociatie"] = &$placeHoldersasociatie;
$page_titles["asociatie"] = &$pageTitlesasociatie;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["asociatie"] = array();
//	asociatiePersoane
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="asociatiePersoane";
		$detailsParam["dOriginalTable"] = "asociatiePersoane";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "asociatiepersoane";
	$detailsParam["dCaptionTable"] = GetTableCaption("asociatiePersoane");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["asociatie"][$dIndex] = $detailsParam;

	
		$detailsTablesData["asociatie"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["asociatie"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["asociatie"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["asociatie"][$dIndex]["detailKeys"][]="id_asociatie";
//	proprietate
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="proprietate";
		$detailsParam["dOriginalTable"] = "proprietate";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "proprietate";
	$detailsParam["dCaptionTable"] = GetTableCaption("proprietate");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["asociatie"][$dIndex] = $detailsParam;

	
		$detailsTablesData["asociatie"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["asociatie"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["asociatie"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["asociatie"][$dIndex]["detailKeys"][]="idAsociatie";

// tables which are master tables for current table (detail)
$masterTablesData["asociatie"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_asociatie()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	cod,  	denumire,  	adresa,  	cif";
$proto0["m_strFrom"] = "FROM asociatie";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
					
;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "asociatie",
	"m_srcTableName" => "asociatie"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "asociatie";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cod",
	"m_strTable" => "asociatie",
	"m_srcTableName" => "asociatie"
));

$proto8["m_sql"] = "cod";
$proto8["m_srcTableName"] = "asociatie";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "denumire",
	"m_strTable" => "asociatie",
	"m_srcTableName" => "asociatie"
));

$proto10["m_sql"] = "denumire";
$proto10["m_srcTableName"] = "asociatie";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "adresa",
	"m_strTable" => "asociatie",
	"m_srcTableName" => "asociatie"
));

$proto12["m_sql"] = "adresa";
$proto12["m_srcTableName"] = "asociatie";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cif",
	"m_strTable" => "asociatie",
	"m_srcTableName" => "asociatie"
));

$proto14["m_sql"] = "cif";
$proto14["m_srcTableName"] = "asociatie";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "asociatie";
$proto17["m_srcTableName"] = "asociatie";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "id";
$proto17["m_columns"][] = "cod";
$proto17["m_columns"][] = "denumire";
$proto17["m_columns"][] = "adresa";
$proto17["m_columns"][] = "cif";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "asociatie";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "asociatie";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="asociatie";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_asociatie = createSqlQuery_asociatie();


	
					
;

					

$tdataasociatie[".sqlquery"] = $queryData_asociatie;



$tableEvents["asociatie"] = new eventsBase;
$tdataasociatie[".hasEvents"] = false;

?>